Create organization invitation
Visibility: internal · public ( OpenAPI Custom Extension: x-visibility )
Invite a user to join the organization.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication using OAuth2/OIDC tokens
In: header
Path Parameters
id*string
Unique organization identifier
Format
uuidRequest Body
application/json
email*string
Email address of invitee
Format
emailroles?array<string>
Roles to assign to the invitee. At least one of roles or groups must be provided.
groups?array<string>
Groups to add the invitee to. At least one of roles or groups must be provided.
message?string
Optional custom message to include in the invitation email.
Length
length <= 500Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.k0rdent.ai/v1/regions/global/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/invitations" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com" }'{
"selfLink": "/v1/regions/global/organizations/org-s1t2u3/invitations/invitation-y8z9a1",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"displayName": "string",
"email": "user@example.com",
"roles": [
"string"
],
"groups": [
"string"
],
"status": "pending",
"createdAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}How is this guide?